Comparar el rendimiento de plantillas
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/compare \
--header 'Authorization: Bearer <token>'{
"data": [
{
"compared_to": "778899001123",
"start": 1753900000,
"end": 1754500000,
"metrics": [
{
"type": "SENT",
"order": "BASELINE_FIRST",
"values": [
1200,
980
]
},
{
"type": "DELIVERED",
"order": "BASELINE_FIRST",
"values": [
1180,
940
]
},
{
"type": "READ",
"order": "BASELINE_FIRST",
"values": [
860,
610
]
}
]
}
]
}Plantillas
Comparar el rendimiento de plantillas
Comparar el rendimiento de plantillas. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
GET
/
meta
/
wabas
/
{wabaId}
/
templates
/
compare
Comparar el rendimiento de plantillas
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/compare \
--header 'Authorization: Bearer <token>'{
"data": [
{
"compared_to": "778899001123",
"start": 1753900000,
"end": 1754500000,
"metrics": [
{
"type": "SENT",
"order": "BASELINE_FIRST",
"values": [
1200,
980
]
},
{
"type": "DELIVERED",
"order": "BASELINE_FIRST",
"values": [
1180,
940
]
},
{
"type": "READ",
"order": "BASELINE_FIRST",
"values": [
860,
610
]
}
]
}
]
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID de la cuenta de WhatsApp Business devuelto por GET /meta/phone-numbers.
Parámetros de consulta
ID de la plantilla base.
IDs de plantillas separados por comas para la comparación.
Inicio del intervalo en segundos Unix.
Fin del intervalo en segundos Unix.
Respuesta
200 - application/json
Comparison returned
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Missing/invalid start or end, or templates not comparable (different category or language) | Compare templates of the same category |
500 | comparedTo omitted from the query | Always send comparedTo |
502 | Graph unreachable or timed out | Retry with backoff |
Show child attributes
Show child attributes
¿Esta página le ayudó?